Endpoints
Answer a task interaction
POST
/
v1
/
tasks
/
{taskId}
/
interactions
/
{interactionId}
Error
A valid request URL is required to generate request examples{
"resolved": true,
"task": {
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
A personal API key created in Adam. Send it as Authorization: Bearer <key>.
Headers
Required unique key. For 24 hours, retries with the same key and body replay the original response.
Body
application/json
Required string length:
1 - 20000Last modified on August 26, 2026
⌘I
Error
A valid request URL is required to generate request examples{
"resolved": true,
"task": {
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}